# lib/cvswebconfig.pl
#
# DO NOT EDIT THIS FILE. SEE THE README
#
# This file directs cvsweb to pick up a config file based on the current hostname.
# The naming convention is machinename-cvswebconfig.pl
#
# It is require'd by each of the cvsweb scripts.
#
#

{ # Find config files for this machine.
    local ($^W) = 0;
    use Sys::Hostname;
    my $hostname = hostname();
    $hostname =~ s/([^.*])\..*/$1/;

    die "Can't discover hostname, so can't find config files!" if ($hostname eq "");
    eval {
	require $hostname.'-cvswebconfig.pl'; # Settings per-site
	require $hostname.'-cgi-style.pl';    # Settings for the style of html pages
    } || die "Your machine is '$hostname'. Create config files $hostname-cvswebconfig.pl and $hostname-cgi-style.pl files in \@INC :\n\t $@";
}





